package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.entity.StudentVisit;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

import java.util.Date;

public class StudentVisitQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "老师或老师id搜索", required = false)
    private String teacher;

    @ApiModelProperty(value = "学生姓名或id搜索", required = false)
    private String student;

    private Integer teacherId;

    private Integer studentId;

    @ApiModelProperty(value = "分部id", required = false)
    private String organId;

    @ApiModelProperty(value = "访问者角色（TEACHER EDU_TEACHER）", required = false)
    private StudentVisit.VisiterTypeEnum visiterType;

    @ApiModelProperty(value = "回访类型", required = false)
    private String type;

    @ApiModelProperty(value = "回访目的", required = false)
    private String purpose;

    @ApiModelProperty(value = "回访日期开始时间", required = false)
    private Date startTime;

    @ApiModelProperty(value = "回访日期结束时间", required = false)
    private Date endTime;

    public String getTeacher() {
        return teacher;
    }

    public void setTeacher(String teacher) {
        this.teacher = teacher;
    }

    public String getStudent() {
        return student;
    }

    public void setStudent(String student) {
        this.student = student;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public StudentVisit.VisiterTypeEnum getVisiterType() {
        return visiterType;
    }

    public void setVisiterType(StudentVisit.VisiterTypeEnum visiterType) {
        this.visiterType = visiterType;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getPurpose() {
        return purpose;
    }

    public void setPurpose(String purpose) {
        this.purpose = purpose;
    }
}
